summaryrefslogtreecommitdiffstats
path: root/libraries/QuantLib
diff options
context:
space:
mode:
author Aleksandar Samardzic <asamardzic@gmail.com>2010-05-11 22:53:55 +0200
committer Robby Workman <rworkman@slackbuilds.org>2010-05-11 22:53:55 +0200
commitaed5cc8f90cd114a93add75427eed38c56400cd8 (patch)
treebf65ae99179786221a04d7ffed4f7c7c55df3fa3 /libraries/QuantLib
parent674ae77f3edb40081d150f1d9c392670ed6dc969 (diff)
downloadslackbuilds-aed5cc8f90cd114a93add75427eed38c56400cd8.tar.gz
slackbuilds-aed5cc8f90cd114a93add75427eed38c56400cd8.tar.xz
libraries/QuantLib: Added to 12.1 repository
Diffstat (limited to 'libraries/QuantLib')
-rw-r--r--libraries/QuantLib/QuantLib.SlackBuild74
-rw-r--r--libraries/QuantLib/QuantLib.info8
-rw-r--r--libraries/QuantLib/README21
-rw-r--r--libraries/QuantLib/slack-desc19
4 files changed, 122 insertions, 0 deletions
diff --git a/libraries/QuantLib/QuantLib.SlackBuild b/libraries/QuantLib/QuantLib.SlackBuild
new file mode 100644
index 0000000000..5ff71c7014
--- /dev/null
+++ b/libraries/QuantLib/QuantLib.SlackBuild
@@ -0,0 +1,74 @@
+#!/bin/sh
+
+# Slackware build script for QuantLib
+
+# Written by Aleksandar Samardzic <asamardzic@gmail.com>
+
+PRGNAM=QuantLib
+VERSION=${VERSION:-0.9.0}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --enable-static=no \
+ --build=$ARCH-slackware-linux \
+ --host=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+)
+
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in $( find . -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a Announce.txt Authors.txt ChangeLog.txt Contributors.txt LICENSE.TXT \
+ Readme.txt $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/libraries/QuantLib/QuantLib.info b/libraries/QuantLib/QuantLib.info
new file mode 100644
index 0000000000..cc5ed2341c
--- /dev/null
+++ b/libraries/QuantLib/QuantLib.info
@@ -0,0 +1,8 @@
+PRGNAM="QuantLib"
+VERSION="0.9.0"
+HOMEPAGE="http://www.quantlib.org/"
+DOWNLOAD="http://downloads.sourceforge.net/quantlib/QuantLib-0.9.0.tar.gz"
+MD5SUM="d59b7e4f9580256fe295a3a32c3eed8e"
+MAINTAINER="Aleksandar Samardzic"
+EMAIL="asamardzic@gmail.com"
+APPROVED="rworkman"
diff --git a/libraries/QuantLib/README b/libraries/QuantLib/README
new file mode 100644
index 0000000000..d5b0e2abbe
--- /dev/null
+++ b/libraries/QuantLib/README
@@ -0,0 +1,21 @@
+The Quantlib project is aimed at providing a comprehensive software
+framework for quantitative finance. QuantLib is a free open-source
+library for modeling, trading, and risk management in real-life.
+
+QuantLib is written in C++ with a clean object model, and is then
+exported to different languages such as Python, Ruby, and Scheme. An
+initial Excel add-in is also available. There are ports to the .NET
+framework in C# (http://www.quantlib.net" and
+http://www.capetools.net/). Bindings to other languages (including
+Java), and porting to ddd, Matlab/Octave, S-PLUS/R, Mathematica,
+COM/CORBA/SOAP architectures, FpML, are under consideration. See the
+extensions page for details.
+
+Appreciated by quantitative analysts and developers, it is intended
+for academics and practitioners alike, eventually promoting a stronger
+interaction between them. QuantLib offers tools that are useful both
+for practical implementation and for advanced modeling, with features
+such as market conventions, yield curve models, solvers, PDEs, Monte
+Carlo (low-discrepancy included), exotic options, VAR, and so on.
+
+QuantLib requires Boost, which is also available from SlackBuilds.org.
diff --git a/libraries/QuantLib/slack-desc b/libraries/QuantLib/slack-desc
new file mode 100644
index 0000000000..fad521ee30
--- /dev/null
+++ b/libraries/QuantLib/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler----------------------------------------------------|
+QuantLib: QuantLib is quantitative finace C++ library
+QuantLib:
+QuantLib: The QuantLib project is aimed at providing a comprehensive
+QuantLib: software framework for quantitative finance. QuantLib is a
+QuantLib: free/open-source library for modeling, trading, and risk
+QuantLib: management in real-life.
+QuantLib:
+QuantLib: Homepage: http://www.quantlib.org/
+QuantLib:
+QuantLib:
+QuantLib: